import React from 'react';
export declare enum Direction {
    X = "x",
    Y = "y"
}
export declare type UseSmoothScrollType = {
    /** the container dom RefObject which use `overflow:scroll` */
    ref: React.RefObject<HTMLElement>;
    /** distance per frame, reflects to speed while scrolling */
    speed?: number;
    /** scroll direction, you can use 'x` for vertical, 'y` for horizontal */
    direction?: Direction | 'x' | 'y';
    threshold?: number;
};
export declare type AttrMapType = {
    scrollLeftTop: 'scrollLeft' | 'scrollTop';
    scrollWidthHeight: 'scrollWidth' | 'scrollHeight';
    clientWidthHeight: 'clientWidth' | 'clientHeight';
    offsetLeftTop: 'offsetLeft' | 'offsetTop';
    offsetWidthHeight: 'offsetWidth' | 'offsetHeight';
    leftTop: 'top' | 'left';
};
export declare const useSmoothScroll: ({ ref, speed, direction, threshold, }: UseSmoothScrollType) => {
    scrollTo: (target: number | string) => void;
};
export default useSmoothScroll;
